petsc-3.12.4 2020-02-04
Report Typos and Errors

# TaoDefaultGMonitor

Default routine for monitoring progress of the Tao solvers (default) with extra detail on the globalization method. This monitor prints the function value and gradient norm at each iteration, as well as the step size and trust radius. Note that the step size and trust radius may be the same for some algorithms. It can be turned on from the command line using the -tao_gmonitor option

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoDefaultGMonitor(Tao tao, void *ctx)

Collective on Tao

### Input Parameters

| tao | - the Tao context
| ctx | - PetscViewer context or NULL

### Options Database Keys

-tao_monitor -

### See Also

TaoDefaultSMonitor(), TaoSetMonitor()

### Level

advanced

### Location

src/tao/interface/taosolver.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages